Name:           python-ds-caselaw-marklogic-api-client
Version:        29.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An API client for interacting with the underlying data in Find Caselaw.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/nationalarchives/ds-caselaw-custom-api-client
Source:         %{pypi_source ds_caselaw_marklogic_api_client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ds-caselaw-marklogic-api-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ds-caselaw-marklogic-api-client
Summary:        %{summary}

%description -n python3-ds-caselaw-marklogic-api-client %_description


%prep
%autosetup -p1 -n ds_caselaw_marklogic_api_client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ds-caselaw-marklogic-api-client -f %{pyproject_files}


%changelog
%autochangelog